=== debian/changelog ===
sumwars (0.5.8-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 27 Oct 2015 19:54:55 -0700

sumwars (0.5.8-1~getdeb3~wily) wily; urgency=medium

  * Rebuild for wily

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 21 Oct 2015 22:30:43 +0200

sumwars (0.5.8-1~getdeb2~trusty) trusty; urgency=medium

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 07 Feb 2015 16:59:13 +0100

sumwars (0.5.8-1~getdeb1) utopic; urgency=medium

  * New upstream version (LP: #1406948)
    * Scripting:
    - added support for Lua 5.2

    * User Interface:
    - added support for CEGUI 0.8
    - removed support dor CEGUI 0.7

    * Graphics:
    - added support for Ogre 1.9

    * Translation:
    - spanish translation greatly updated

    * Sound and Music:
    - sound engine reworked
    - added sounds for the GUI
    - added gameplay sounds

    * General:
    - fixed a number of bugs
    - Poco dependency replaced with Boost

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 27 Jan 2015 19:20:40 +0100

sumwars (0.5.7-1~getdeb8~utopic) utopic; urgency=medium

  * Rebuild for utopic

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 28 Oct 2014 20:34:21 +0100

sumwars (0.5.7-1~getdeb7~trusty) trusty; urgency=low

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Apr 2014 20:30:34 +0200

sumwars (0.5.7-1~getdeb6~saucy) saucy; urgency=low

  * Rebuild for saucy.

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 14 Oct 2013 22:07:45 +0200

sumwars (0.5.7-1~getdeb5~raring) raring; urgency=low

  * New upstream version - Not Yet Released
    - 0000002: [Graphics] After minimizing and restoring game in fullscreen
    mode map is broken (fusion44) - resolved.
    - 0000058: [User Interface] Scrolling in Quests zooms screen (fusion44) -
    resolved.
    - 0000063: [Unknown] The AUTHORS file should have utf-8 encoding
    (fusion44) - resolved.
    - 0000075: [Programming] Hero picture in inventory is with the arms
    spread open (dezGusty) - resolved.
    - 0000067: [Programming] On deleting savegame, wrong savegame files
    deleted (dezGusty) - resolved.
    - 0000066: [Build System] Translations installed into wrong directory -
    resolved.
    - 0000051: [Translation] Add missing translation strings, fix existing
    translations (Kulik) - resolved.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Jul 2013 22:55:25 +0200

sumwars (0.5.6-1~getdeb2) quantal; urgency=low

  * Rebuild for quantal

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 20 Oct 2012 15:12:35 +0200

sumwars (0.5.6-1~getdeb1) precise; urgency=low

  * New upstream version (LP: #1009105)

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 06 Jun 2012 17:17:34 +0200

sumwars (0.5.5~svn-r2653-1) unstable; urgency=low

  * Initial release (Closes: #597857).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 1 Nov 2011 10:07:08 +0100
