=== debian/control ===
Source: sumwars
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               libphysfs-dev (>= 2.0),
               libtinyxml-dev (>= 2.6),
               libalut-dev,
               libopenal-dev,
               libvorbis-dev,
               libenet-dev,
               libogre-1.9-dev (>= 1.9.0), 
               libois-dev,
               libcegui-0.8-dev (>= 0.8.0),
               liblua5.1-0-dev,
               libxrandr-dev,
               libboost-filesystem-dev
Standards-Version: 3.9.6
Homepage: http://www.sumwars.org/

Package: sumwars
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         sumwars-data (= ${source:Version}),
         fonts-dejavu-core (>= 2.33)
Description: Summoning Wars action role-playing game
 Summoning Wars is an open source role-playing game, featuring both a
 single-player and a multiplayer mode for about 2 to 8 players.
 .
 This package contains the binary.

Package: sumwars-data
Architecture: all
Depends: ${misc:Depends}
Recommends: sumwars (= ${source:Version})
Description: Summoning Wars action role-playing game, data files
 Summoning Wars is an open source role-playing game, featuring both a
 single-player and a multiplayer mode for about 2 to 8 players.
 .
 This package contains data needed by the binaries (game data, GUI
 elements, sound, ...).
