=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE:STRING="Release" \
		-DSUMWARS_NO_TINYXML:BOOL=ON \
		-DSUMWARS_NO_ENET:BOOL=ON \
		-DSUMWARS_BUILD_TOOLS:BOOL=OFF \
		-DSUMWARS_EXECUTABLE_DIR:STRING="games" \
		-DSUMWARS_SHARE_DIR:STRING="share/games/sumwars"

override_dh_auto_install:
	dh_auto_install

	rm -fv debian/tmp/usr/share/games/sumwars/resources/gui/fonts/DejaVu*.ttf
	rm -fv debian/tmp/usr/share/games/sumwars/resources/gui_0.8/fonts/DejaVu*.ttf
	rm -fv debian/tmp/usr/share/games/sumwars/resources/gui/imagesets/License.txt
	rm -fv usr/share/games/sumwars/resources/gui_0.8/imagesets/License.txt

override_dh_install:
	dh_install --list-missing
