=== debian/watch ===
version=3
https://bitbucket.org/sumwars/sumwars-code/downloads \
    (?:.*/)?get/([\d\.]+)\.tar\.bz2
